package com.bocloud.cmp.model.agile.sfc;

import java.util.Date;
import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: HuaSfcScapp
 * @Description:业务链应用实例表
 * @author: zhenpingLi/李振平
 * @date: 2020/3/11 15:15
 */
public class AgileSfcScappModel {
    private String uuid; //业务链应用实例对象标识，该字段不支持更新。
    private String name; //业务链应用实例对象名称。
    private String remark;//业务链应用实例对象描述。
    private String sdnTenantUuid;//业务链应用实例所属租户，该字段不支持更新。
    private String vpcUuid;//(logicNetworkId)业务链应用实例所在的逻辑网络，该字段不支持更新。
    private String srcEpgUuid;//(srcEpgId)源EPG，该字段不支持更新。
    private String dstEpgUuid;//(dstEpgId)目的EPG，该字段不支持更新。
    private String filterAction;//流策略方式，FILTER：使用业务链策略，REDIRECT：重定向，FORWARD：转发，DENY：拒绝。
    private String contractUuid;//(contractId)业务链策略标识
    private String templateUuid;//(sfcId)业务链(模板)标识。
    private String producer; //配置来源
    private Date gmtCreate; //创建时间
    private Date gmtModify; //更新时间
    private List<AgileSfcScappPathHopModel> pathHopModels;

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSdnTenantUuid() {
        return sdnTenantUuid;
    }

    public void setSdnTenantUuid(String sdnTenantUuid) {
        this.sdnTenantUuid = sdnTenantUuid;
    }

    public String getVpcUuid() {
        return vpcUuid;
    }

    public void setVpcUuid(String vpcUuid) {
        this.vpcUuid = vpcUuid;
    }

    public String getSrcEpgUuid() {
        return srcEpgUuid;
    }

    public void setSrcEpgUuid(String srcEpgUuid) {
        this.srcEpgUuid = srcEpgUuid;
    }

    public String getDstEpgUuid() {
        return dstEpgUuid;
    }

    public void setDstEpgUuid(String dstEpgUuid) {
        this.dstEpgUuid = dstEpgUuid;
    }

    public String getFilterAction() {
        return filterAction;
    }

    public void setFilterAction(String filterAction) {
        this.filterAction = filterAction;
    }

    public String getContractUuid() {
        return contractUuid;
    }

    public void setContractUuid(String contractUuid) {
        this.contractUuid = contractUuid;
    }

    public String getTemplateUuid() {
        return templateUuid;
    }

    public void setTemplateUuid(String templateUuid) {
        this.templateUuid = templateUuid;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModify() {
        return gmtModify;
    }

    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }

    public List<AgileSfcScappPathHopModel> getPathHopModels() {
        return pathHopModels;
    }

    public void setPathHopModels(List<AgileSfcScappPathHopModel> pathHopModels) {
        this.pathHopModels = pathHopModels;
    }
}
